<?php

declare(strict_types=1);

namespace mirzaev\calculator\controllers;

use mirzaev\calculator\controllers\core;
use mirzaev\calculator\models\accounts_model as accounts;

/**
 * Контроллер журналов
 *
 * @package mirzaev\calculator\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class journal_controller extends core
{
    /**
     * Журнал (страница)
     *
     * HTML-документ с журналом
     *
     * @param array $vars Параметры
     *
     * @return string HTML-докумкент
     */
    public function index(array $vars = []): string
    {
        // Инициализация журнала ошибок
        $vars['errors'] = ['journal' => []];

        // Инициализация аккаунта
        $vars['account'] = accounts::account($vars['errors']['journal']);

        // Генерация представления
        return $this->view->render(DIRECTORY_SEPARATOR . 'journal' . DIRECTORY_SEPARATOR . 'index.html', $vars);
    }
}
