<?php

declare(strict_types=1);

namespace mirzaev\calculator\controllers;

use mirzaev\calculator\controllers\core;
use mirzaev\calculator\models\accounts_model as accounts;

use Twig\Loader\FilesystemLoader;
use Twig\Environment as view;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\calculator\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class main_controller extends core
{
    public function index(array $vars = [])
    {
        // Инициализация журнала ошибок
        $vars['errors'] = ['account' => []];

        // Проверка аутентифицированности
        $vars['account'] = accounts::account($vars['errors']);

        // Генерация представления
        return $this->view->render(DIRECTORY_SEPARATOR . 'main' . DIRECTORY_SEPARATOR . 'index.html', $vars);
    }
}
