<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_noname_1;

/**
 * Фильтр импорта цен на алюминий от неизвестного поставщика под номером 1
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class import_aluminum_filter extends import_filter_noname_1
{
    /**
     * Название металла
     */
    public string $metal = 'aluminum';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 16 && $row <= 17) {
            // Найдены строки с маркой АД1Н

            return true;
        }

        if ($row >= 20 && $row <= 28) {
            // Найдены строки с маркой A5H

            return true;
        }

        if ($row >= 30 && $row <= 54) {
            // Найдены строки с маркой АМГ2М

            return true;
        }

        if ($row >= 56 && $row <= 82) {
            // Найдены строки с маркой АМГ3М

            return true;
        }

        if ($row >= 84 && $row <= 105) {
            // Найдены строки с маркой АМГ5М

            return true;
        }

        if ($row >= 107 && $row <= 119) {
            // Найдены строки с маркой АМГ6М

            return true;
        }

        return false;
    }
}
