<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_noname_1;

/**
 * Фильтр импорта цен на латунь от неизвестного поставщика под номером 1
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class import_brass_filter extends import_filter_noname_1
{
    /**
     * Название металла
     */
    public string $metal = 'brass';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 553 && $row <= 568) {
            // Найдены строки с маркой Л63

            return true;
        }

        if ($row >= 570 && $row <= 577) {
            // Найдены строки с маркой ЛС59-1

            return true;
        }

        return false;
    }
}
