<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use PhpOffice\PhpSpreadsheet\Reader\IReadFilter as filter;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;

/**
 * Интерфейс фильтра импорта
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
interface import_filter extends filter
{
    /**
     * Чтение ячейки
     *
     * @param [type] $columnAddress
     * @param [type] $row
     * @param string $worksheetName
     *
     * @return void
     */
    public function readCell($columnAddress, $row, $worksheetName = '');

    /**
     * Фильтрация и запись прочитанных данных из EXCEL-документа
     *
     * @param int $supply Идентификатор поставки (для записи в БД)
     * @param Worksheet $spreadsheet Таблица с прочитанными данными
     * @param array &$errors Журнал ошибок
     *
     * @return int Количество записанных строк
     */
    public function write(int $supply, Worksheet $spreadsheet, array &$errors = []): int;
}
