<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_noname_1;

/**
 * Фильтр импорта цен на нержавеющую сталь от неизвестного поставщика под номером 1
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 *
 * @todo 1. Доделать 982 до 992 строки
 * 2. Доделать 1069 до 1077 строки
 */
final class import_stainless_steel_filter extends import_filter_noname_1
{
    /**
     * Название металла
     */
    public string $metal = 'stainless_steel';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 958 && $row <= 982) {
            // Найдены строки с маркой 12Х18Н10Т AISI 321

            return true;
        }

        if ($row >= 994 && $row <= 1000) {
            // Найдены строки с маркой 08Х17 AISI 430 BA

            return true;
        }

        if ($row >= 1003 && $row <= 1005) {
            // Найдены строки с маркой 08Х18Н10 AISI 304 BA+PVC

            return true;
        }

        if ($row >= 1011 && $row <= 1022) {
            // Найдены строки с маркой 08Х17 AISI 430 2B

            return true;
        }

        if ($row >= 1024 && $row <= 1069) {
            // Найдены строки с маркой 08Х18Н10 AISI 304

            return true;
        }

        if ($row >= 1079 && $row <= 1090) {
            // Найдены строки с маркой 08Х17 AISI430 4N+PE

            return true;
        }

        if ($row >= 1092 && $row <= 1099) {
            // Найдены строки с маркой 08Х18Н10 AISI 304 4N+PE

            return true;
        }

        return false;
    }
}
