<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_mc;

/**
 * Фильтр импорта цен на чёрную сталь от "МЕТАЛЛСЕРВИС"
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class import_steel_filter extends import_filter_mc
{
    /**
     * Название металла
     */
    public string $metal = 'steel';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 305 && $row <= 313) {
            // Найдены строки с данными (Лист холоднокатаный ГОСТ 16523-97)

            return true;
        }

        if ($row >= 317 && $row <= 345) {
            // Найдены строки с данными (Лист горячекатаный ГОСТ 16523-97; ГОСТ 14637-89)

            return true;
        }

        if ($row >= 349 && $row <= 358) {
            // Найдены строки с данными (Лист горячекатаный низколегированный ГОСТ 19281-89)

            return true;
        }

        if ($row >= 385 && $row <= 389) {
            // Найдены строки с данными (Лист рифленый ГОСТ 8568-77)

            return true;
        }

        if ($row >= 393 && $row <= 394) {
            // Найдены строки с данными (Лист просечно-вытяжной ТУ 36.26.11-5-89)

            return true;
        }

        return false;
    }
}
