<?php

declare(strict_types=1);

namespace mirzaev\calculator;

use mirzaev\minimal\core;
use mirzaev\minimal\router;

define('SUPPLIES', realpath('supplies'));
define('VIEWS', realpath('..' . DIRECTORY_SEPARATOR . 'views'));
define('TYPE', 'mysql');
define('BASE', 'calculator');
define('HOST', '127.0.0.1');
define('LOGIN', 'root');
define('PASSWORD', '');

// Автозагрузка
require __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'vendor' . DIRECTORY_SEPARATOR . 'autoload.php';

// Инициализация маршрутазитора
$router = new router;

// Запись маршрутов
$router->write('/', 'main', 'index');
$router->write('/account/registration', 'accounts', 'registration', 'POST');
$router->write('/account/authentication', 'accounts', 'authentication', 'POST');
$router->write('/account/deauthentication', 'accounts', 'deauthentication', 'POST');
$router->write('/account/deauthentication', 'accounts', 'deauthentication', 'GET');
$router->write('/account/data', 'accounts', 'data', 'POST');
$router->write('/calculator', 'calculator', 'index', 'POST');
$router->write('/calculator/generate/buyer', 'calculator', 'buyer', 'POST');
$router->write('/calculator/generate/complexity', 'calculator', 'complexity', 'POST');
$router->write('/calculator/generate/menu', 'calculator', 'menu', 'POST');
$router->write('/calculator/generate/result', 'calculator', 'result', 'POST');
$router->write('/calculator/generate/mark', 'calculator', 'mark', 'POST');
$router->write('/calculator/generate/divider', 'calculator', 'divider', 'POST');
$router->write('/calculator/generate/laser', 'calculator', 'laser', 'POST');
$router->write('/calculator/calculate', 'calculator', 'calculate', 'POST');
$router->write('/settings', 'settings', 'index', 'GET');
$router->write('/settings/write', 'settings', 'write', 'POST');
$router->write('/settings/read', 'settings', 'read', 'POST');
$router->write('/supplies/write', 'supplies', 'write', 'POST');
$router->write('/journal', 'journal', 'index', 'GET');
$router->write('/contacts', 'contacts', 'index', 'GET');

// Инициализация ядра
$core = new Core(namespace: __NAMESPACE__, router: $router);

// Обработка запроса
echo $core->start();
